<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: framework::core::Point2D Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1core_1_1_point2_d.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classframework_1_1core_1_1_point2_d-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">framework::core::Point2D Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class defining a 2D point.  
 <a href="classframework_1_1core_1_1_point2_d.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_point2_d_8h_source.html">Point2D.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a0f47da9853e43444af492d9cf946f61f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_point2_d.html#a0f47da9853e43444af492d9cf946f61f">Point2D</a> (float <a class="el" href="classframework_1_1core_1_1_point2_d.html#a2001a99f4cec3a8688169925e99b4913">x</a>=0, float <a class="el" href="classframework_1_1core_1_1_point2_d.html#a7612176298951461df14dc9ae00cb49f">y</a>=0)</td></tr>
<tr class="memdesc:a0f47da9853e43444af492d9cf946f61f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a0f47da9853e43444af492d9cf946f61f">More...</a><br /></td></tr>
<tr class="separator:a0f47da9853e43444af492d9cf946f61f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abcb117e4375a3eef413cbc76d4a6a169"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_point2_d.html#abcb117e4375a3eef413cbc76d4a6a169">~Point2D</a> ()</td></tr>
<tr class="memdesc:abcb117e4375a3eef413cbc76d4a6a169"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#abcb117e4375a3eef413cbc76d4a6a169">More...</a><br /></td></tr>
<tr class="separator:abcb117e4375a3eef413cbc76d4a6a169"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf8ae73f6077a9507ab6c8d9ae8cc2fd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_point2_d.html#aaf8ae73f6077a9507ab6c8d9ae8cc2fd">Rotate</a> (float value)</td></tr>
<tr class="memdesc:aaf8ae73f6077a9507ab6c8d9ae8cc2fd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Rotation.  <a href="#aaf8ae73f6077a9507ab6c8d9ae8cc2fd">More...</a><br /></td></tr>
<tr class="separator:aaf8ae73f6077a9507ab6c8d9ae8cc2fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a78720641bad669c6625c606a445779"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_point2_d.html#a1a78720641bad669c6625c606a445779">RotateDeg</a> (float value)</td></tr>
<tr class="memdesc:a1a78720641bad669c6625c606a445779"><td class="mdescLeft">&#160;</td><td class="mdescRight">Rotation.  <a href="#a1a78720641bad669c6625c606a445779">More...</a><br /></td></tr>
<tr class="separator:a1a78720641bad669c6625c606a445779"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2848a086523fdd5c6f24f5880869b203"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_point2_d.html#a2848a086523fdd5c6f24f5880869b203">Norm</a> (void) const </td></tr>
<tr class="memdesc:a2848a086523fdd5c6f24f5880869b203"><td class="mdescLeft">&#160;</td><td class="mdescRight">Norm.  <a href="#a2848a086523fdd5c6f24f5880869b203">More...</a><br /></td></tr>
<tr class="separator:a2848a086523fdd5c6f24f5880869b203"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c3b954b47d3ecaa6b0e87d1b5ec2680"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_point2_d.html#a9c3b954b47d3ecaa6b0e87d1b5ec2680">Normalize</a> (void)</td></tr>
<tr class="memdesc:a9c3b954b47d3ecaa6b0e87d1b5ec2680"><td class="mdescLeft">&#160;</td><td class="mdescRight">Normalize.  <a href="#a9c3b954b47d3ecaa6b0e87d1b5ec2680">More...</a><br /></td></tr>
<tr class="separator:a9c3b954b47d3ecaa6b0e87d1b5ec2680"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a2001a99f4cec3a8688169925e99b4913"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_point2_d.html#a2001a99f4cec3a8688169925e99b4913">x</a></td></tr>
<tr class="memdesc:a2001a99f4cec3a8688169925e99b4913"><td class="mdescLeft">&#160;</td><td class="mdescRight">x  <a href="#a2001a99f4cec3a8688169925e99b4913">More...</a><br /></td></tr>
<tr class="separator:a2001a99f4cec3a8688169925e99b4913"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7612176298951461df14dc9ae00cb49f"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_point2_d.html#a7612176298951461df14dc9ae00cb49f">y</a></td></tr>
<tr class="memdesc:a7612176298951461df14dc9ae00cb49f"><td class="mdescLeft">&#160;</td><td class="mdescRight">y  <a href="#a7612176298951461df14dc9ae00cb49f">More...</a><br /></td></tr>
<tr class="separator:a7612176298951461df14dc9ae00cb49f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class defining a 2D point. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a0f47da9853e43444af492d9cf946f61f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">framework::core::Point2D::Point2D </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>x</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>y</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct a <a class="el" href="classframework_1_1core_1_1_point2_d.html" title="Class defining a 2D point. ">Point2D</a> using specified values.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">x</td><td></td></tr>
    <tr><td class="paramname">y</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="abcb117e4375a3eef413cbc76d4a6a169"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">framework::core::Point2D::~Point2D </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="aaf8ae73f6077a9507ab6c8d9ae8cc2fd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::core::Point2D::Rotate </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Rotation. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>rotation value in radians </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a1a78720641bad669c6625c606a445779"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::core::Point2D::RotateDeg </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Rotation. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>rotation value in degrees </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a2848a086523fdd5c6f24f5880869b203"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float framework::core::Point2D::Norm </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Norm. </p>
<dl class="section return"><dt>Returns</dt><dd>value </dd></dl>

</div>
</div>
<a class="anchor" id="a9c3b954b47d3ecaa6b0e87d1b5ec2680"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::core::Point2D::Normalize </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Normalize. </p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="a2001a99f4cec3a8688169925e99b4913"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float framework::core::Point2D::x</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>x </p>

</div>
</div>
<a class="anchor" id="a7612176298951461df14dc9ae00cb49f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float framework::core::Point2D::y</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>y </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceframework.html">framework</a></li><li class="navelem"><a class="el" href="namespaceframework_1_1core.html">core</a></li><li class="navelem"><a class="el" href="classframework_1_1core_1_1_point2_d.html">Point2D</a></li>
    <li class="footer">Generated on Thu Feb 18 2016 17:14:16 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
